Qt API | Qtopia API | Qtopia Documentation |

# MediaRecorderPluginInterface Class Reference

The MediaRecorderPluginInterface class provides a method of obtaining a multimedia encoder. More...

`#include <qtopia/mediarecorderplugininterface.h>`

List of all member functions.

## Public Members

- virtual MediaRecorderEncoder * encoder () = 0

## Detailed Description

The MediaRecorderPluginInterface class provides a method of obtaining a multimedia encoder.

The abstract MediaRecorderPluginInterface class allows applications to obtain an encoder to record multimedia data to a file or other output device.

See also MediaRecorderEncoder.

## Member Function Documentation

### MediaRecorderEncoder * MediaRecorderPluginInterface::encoder ()`[pure virtual]`

Creates and returns a new plugin encoder instance. It is the responsibility of the caller to delete the instance before unloading the plugin interface library.

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.